Subject: [PATCH 1/5] crypto: Fully restore ahash request before completing

From: [email-masked] (Marek Vasut)
Date: Tue, 14 Jan 2014 18:34:54 +0100

On Monday, January 06, 2014 at 12:29:27 AM, Herbert Xu wrote:
> On Sun, Jan 05, 2014 at 04:33:21PM +0100, Marek Vasut wrote:
> > On Sunday, January 05, 2014 at 02:05:29 PM, Herbert Xu wrote:
> > > On Tue, Dec 10, 2013 at 08:26:19PM +0100, Marek Vasut wrote:
> > > > When finishing the ahash request, the ahash_op_unaligned_done() will
> > > > call complete() on the request. Yet, this will not call the correct
> > > > complete callback. The correct complete callback was previously
> > > > stored in the requests' private data, as seen in
> > > > ahash_op_unaligned(). This patch restores the correct complete
> > > > callback and .data field of the request before calling complete() on
> > > > it.
> > > > 
> > > > Signed-off-by: Marek Vasut <[email-masked]>
> > > > Cc: Herbert Xu <[email-masked]>
> > > > Cc: David S. Miller <[email-masked]>
> > > > Cc: Fabio Estevam <[email-masked]>
> > > > Cc: Shawn Guo <[email-masked]>
> > > > Cc: linux-crypto at vger.kernel.org
> > > 
> > > All patches applied.  Thanks!
> > 
> > Uh, I think this was not intended to happen! We still discuss this patch
> > will need rework, do we not?
> 
> Please send your new fixes as incremental patches on top of this.

I sent a new set of patches and added a bit of documentation too. I am still 
working on a better piece of documentation for writing crypto drivers now.

Best regards,
Marek Vasut